package com.steerinfo.baseinfo.meterbaseaddweight.service;

import com.steerinfo.baseinfo.meterbaseaddweight.model.MeterBaseAddWeight;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.util.CommonPage;
import com.steerinfo.util.ResultModel;

import java.util.List;

/**
 * MeterBaseAddWeight服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-12 04:27
 * 类描述
 * 修订历史：
 * 日期：2020-10-12
 * 作者：generator
 * 参考：
 * 描述：MeterBaseAddWeight服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseAddWeightService extends IBaseService<MeterBaseAddWeight, String>{
    String checkandadd(MeterBaseAddWeight model);

    String Recovery(List<MeterBaseAddWeight> models);

    String checkandupdate(String id,MeterBaseAddWeight model);

    String abolish(List<MeterBaseAddWeight> models);

    List<MeterBaseAddWeight>  doQueryWf(CommonPage<MeterBaseAddWeight> cp);
}